var slider=document.querySelector(".slider-contenedor");
var sliderIndividual=document.querySelectorAll(".contenido-slider");
var contador=1;
var indice=1;
var width=sliderIndividual[0].clientWidth;
var intervalo=3000;
var tiempo;


window.addEventListener("resize",function(){
	width=sliderIndividual[0].clientWidth;
	})
	
tiempo=setInterval("slides('z')",3000);

function pausa(){
	clearInterval(tiempo);
}
function inicia(){
	tiempo=setInterval("slides('z')",3000);
}

function posicionSlide(n){
	pausa();
	contador=n;
	slides("a");
	}

function avanzaSlide(n){
		
	pausa();
	contador+=n;
	if(contador>slider.style.length-1){
		contador=1;
		}
	if(contador<1){
		contador=slider.style.length-1;
		}
	slides("a");
	}
	
function slides(sw){

	if(sw!="a"){
		
	slider.style.transform = "translate("+(-width*contador)+"px)";
	slider.style.transition = "transform .8s";
	contador++;
	
	if(contador==sliderIndividual.length){
		setTimeout(function(){
			slider.style.transform = "translate(0px)";
			slider.style.transition = "transform .0s";
			contador=1;
			},1500)
		}
		intervalo=3000;
	}else{
		//setTimeout(function(){
		slider.style.transform = "translate("+(-width*(contador-1))+"px)";
		slider.style.transition = "transform .0s";
		intervalo=5000;
			//},900)
	}
	//slider-content
}

function abrirNuevoTab(url) {
        // Abrir nuevo tab
        var win = window.open(url, '_blank');
        // Cambiar el foco al nuevo tab (punto opcional)
        win.focus();
      }
function clikslides(sw){
	if(sw==1){
	   abrirNuevoTab("https://almacenbcsa.com/page/caribeeficiente/")	
	}
}	
	